Subject: [pim] pim-dr-improvement wglc

From: Michael McBride <[email-masked]>
Date: Tue, 8 Jan 2019 18:29:15 +0000

Happy New Year!

Today begins a two week wglc for draft-ietf-pim-dr-improvement-06. In Bangkok, 4 people indicated that they had read the draft and each agreed it's ready for wglc. Let's please read the draft one more time and confirm, on this list, that it's ready to be sent to iesg.

https://tools.ietf.org/html/draft-ietf-pim-dr-improvement-06

thanks,
mike

---

From: Greg Mirsky <[email-masked]>
Date: Sat, 12 Jan 2019 19:59:10 -0800

Dear Authors, Chairs, et. al,
I've read the draft and support its publication. Below please find my
comments and editorial nits:

   - Abstract
      - expand PIM on the first reference
      - s/extension/an extension/
      - s/stability/the stability/
      -
      - s/PIM protocol/the PIM protocol/
      - Introduction
      - s/adjust/adjusted/
      - s/new comers/newcomers/ or s/new comers/new nodes/
   - Terminology:
      - Consider adding sub-section Keywords with normative references to
      RFC 2119 and RFC 8174.

2.2.  Keywords

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in BCP
   14 [RFC2119] [RFC8174] when, and only when, they appear in all
   capitals, as shown here.

   - s/A BDR/a BDR/
      - I think that more expansions to the acronyms used are needed
   - section 3.1
      - s/TBD/TBD1/ (I assume that OptionType for DR is different from
      OptionType value for BDR)
      - s/is support/supports/*4
   - section 3.2
      - s/TBD/TBD2/
      -
      - s/is support/supports/*4
      - section 4
      - s/avoid/avoids/
      - RE: "new comers" as for Introduction
      - s/address of router/address of the router/
      - s/be simplify/simplify/
      - s/. The router/, then the/
      - s/import/and import/
   - section 4.2
      - s/according/according to/
      - s/DR election definition/DR election defined/
      -
      - s/one which have/one which has/
      - section 4.3
      - s/the router send/the router sends/
      - s/according/ according to/
   - section 4.4
      - s/as following/as follows/
      - s/are larger/is greater than 0x0/is non-zero/
      - s/BDS in message/BDR in the message/
      - s/algorithm/the algorithm/
      - s/as DR. and/as DR, and/
   - section 4.5

Perhaps some re-wording and nits fixes as follows:
NEW TEXT:
If all the routers on a shared-media LAN have started working at the same
time, then the election result of DR is same as defined in [RFC7761].  And
all the routers will elect a BDR which is next best to DR.  The routers in
the network will store the DR and BDR.  The hello messages sent by all the
routers are the same with the value of DR and BDR are all set.
When a new router activated on the shared-media LAN and received hello
messages from other routers with the value of DR is already set. The new
router will not change the current DR even if it is superior to the current
DR.  If the new router is superior to current BDR, the new router will
replace the current BDR.

   When the routers receive a hello message from a new router, the routers
will compare the new router and all the other routers on the LAN.  If the
new router is superior to the current BDR, the new router will be new BDR.
Then the old BDR will send the Prune message to upstream routers.

   As a result, the BDR is the one which has the highest priority except
for DR.  Once the DR is elected, the DR will not change until it fails or
manually adjusted.  After the DR and BDR are elected, the routers in the
network will store the address of DR and BDR.

   - section 4.6
      - s/same/the same/
      - s/downstream router/a downstream router/
   - section 6

Perhaps the following will be acceptable:
If there are two or more routers which are responsible for multicast flow
forwarding on a shared-media LAN, and the multicast services are sensitive
to the lost of multicast packets, the functions of DR and BDR, defined in
this document, SHOULD be deployed.

   - IANA Considerations

I think that there are two OptionTypes, for DR address and BDR address,
that should be assigned. Would you agree?

   - Section 9
      - s/their/his/

Regards,
Greg

On Tue, Jan 8, 2019 at 10:29 AM Michael McBride <[email-masked]>
wrote:

> Happy New Year!
>
>
>
> Today begins a two week wglc for draft-ietf-pim-dr-improvement-06. In
> Bangkok, 4 people indicated that they had read the draft and each agreed
> it’s ready for wglc. Let’s please read the draft one more time and confirm,
> on this list, that it’s ready to be sent to iesg.
>
>
>
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim
>